Get the day offs of a project team

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/day-offs

Get the day offs of the team of a project. Give start_date and end_date to get the day offs of a period. A manager gets the description of each day off. Other users get the description of their own day offs only. Clients and vendors cannot use this route.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

Query parameters

  • start_date string(date)

    First date of the period, in the YYYY-MM-DD format

  • end_date string(date)

    Last date of the period, in the YYYY-MM-DD format

Responses

  • 200 application/json

    The list of day offs

  • 400

    A date is not valid

  • 403

    You do not have access to this project, or you are a client or a vendor

GET /data/projects/{project_id}/day-offs
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/day-offs?start_date=2022-07-01&end_date=2022-07-31" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/day-offs"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "start_date": "2022-07-01",
    "end_date": "2022-07-31"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{}